## genalg 0.0.6

=== DESCRIPTION ===
Package: genalg
Version: 0.0.6
Date: 2005-02-07
Title: Binary Genetic Algorithm
Author: Egon Willighagen <e.willighagen@science.ru.nl>
Maintainer: Egon Willighagen <e.willighagen@science.ru.nl>
Depends: R
Description: R based genetic algorithm for binary and floating point
  chromosomes.
License: GPL version 2
Packaged: Mon Feb  7 16:30:22 2005; egonw

## genalg 0.0.7

=== DESCRIPTION ===
Package: genalg
Version: 0.0.7
Date: 2005-03-15
Title: R Based Genetic Algorithm
Author: Egon Willighagen <e.willighagen@science.ru.nl>
Maintainer: Egon Willighagen <e.willighagen@science.ru.nl>
Depends: R
Description: R based genetic algorithm for binary and floating point
  chromosomes.
License: GPL version 2
Packaged: Tue Mar 15 12:47:05 2005; egonw

=== debian/changelog ===
genalg (0.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Egon Willighagen <e.willighagen@science.ru.nl>  Mon, 07 Feb 2005 13:05:00 +0100

genalg (0.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Egon Willighagen <e.willighagen@science.ru.nl>  Mon, 02 Feb 2005 16:45:00 +0100

genalg (0.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Egon Willighagen <e.willighagen@science.ru.nl>  Mon, 02 Feb 2005 15:56:00 +0100

genalg (0.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Egon Willighagen <e.willighagen@science.ru.nl>  Mon, 31 Jan 2005 14:57:00 +0100

genalg (0.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Egon Willighagen <e.willighagen@science.ru.nl>  Mon, 31 Jan 2005 14:49:00 +0100

genalg (0.0.1-1) unstable; urgency=low

  * Initial Debian Release.

 -- Egon Willighagen <e.willighagen@science.ru.nl>  Mon, 31 Jan 2005 14:23:00 +0100

## genalg 0.0.8

=== DESCRIPTION ===
Package: genalg
Version: 0.0.8
Date: 2005-03-16
Title: R Based Genetic Algorithm
Author: Egon Willighagen <e.willighagen@science.ru.nl>
Maintainer: Egon Willighagen <e.willighagen@science.ru.nl>
Description: R based genetic algorithm for binary and floating point
  chromosomes.
License: GPL version 2
Packaged: Wed Mar 16 09:54:24 2005; egonw

## genalg 0.0.9

=== DESCRIPTION ===
Package: genalg
Version: 0.0.9
Date: 2005-04-18
Title: R Based Genetic Algorithm
Author: Egon Willighagen <e.willighagen@science.ru.nl>
Maintainer: Egon Willighagen <e.willighagen@science.ru.nl>
Description: R based genetic algorithm for binary and floating point
  chromosomes.
License: GPL version 2
Packaged: Mon Apr 18 09:30:11 2005; egonw

=== debian/changelog ===
genalg (0.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Egon Willighagen <e.willighagen@science.ru.nl>  Wed, 16 Mar 2005 09:52:00 +0100

genalg (0.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Egon Willighagen <e.willighagen@science.ru.nl>  Tue, 15 Mar 2005 12:47:00 +0100

=== debian/control ===
Source: genalg
Section: math
Priority: optional
Maintainer: Egon Willighagen <e.willighagen@science.ru.nl>
Build-Depends-Indep: debhelper (>> 4.1.0), r-base-dev (>= 2.0.0), cdbs
Standards-Version: 3.6.1.1

Package: r-cran-genalg
Architecture: all
Depends: r-base-core (>= 2.0.0)
Description: GNU R package for a genetic algorithm.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-boot package
# Copyright 2004 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk

## We need the CRAN (upstream) name 
cranName	:= $(shell grep Package: DESCRIPTION | cut -f2 -d" ")
## and we need to build a Debian Policy-conformant lower-case package name
cranNameLC	:= $(shell echo $(cranName) | tr "[A-Z]" "[a-z]" | tr "." "-" )
## which we can use to build the package directory 
package		:= r-cran-$(cranNameLC)
## which we use for the to-be-installed-in directory
## nb: recommended packages go in $R_HOME/library, not site-library
#debRlib	:= $(CURDIR)/debian/$(package)/usr/lib/R/site-library
debRlib	:= $(CURDIR)/debian/$(package)/usr/lib/R/library

common-install-indep:: R_any_arch
common-install-arch:: R_any_arch

R_any_arch:
                ##dh_installdirs		usr/lib/R/site-library
		dh_installdirs		usr/lib/R/library
                ## R CMD INSTALL -l $(debRlib) --clean .
	        mkdir debian/$(cranName)
	        find . -not -path "./debian*" | cpio -p -m debian/$(cranName)
	        (cd debian 						&& \
			R CMD check --no-latex $(cranName)		&& \
			R CMD INSTALL -l $(debRlib) $(cranName) 	&& \
			rm -rf $(cranName) 				)
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranNameLC)/COPYING

## genalg 0.1.1

=== DESCRIPTION ===
Package: genalg
Version: 0.1.1
Date: 2005-09-21
Title: R Based Genetic Algorithm
Author: Egon Willighagen <e.willighagen@science.ru.nl>
Maintainer: Egon Willighagen <e.willighagen@science.ru.nl>
Description: R based genetic algorithm for binary and floating point
        chromosomes.
License: GPL-2
Packaged: 2012-10-29 08:58:49 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:58:49

## genalg 0.1.1.1

=== DESCRIPTION ===
Package: genalg
Version: 0.1.1.1
Date: 2014-01-10
Title: R Based Genetic Algorithm
Author: Egon Willighagen <egon.willighagen@gmail.com>
Maintainer: Egon Willighagen <egon.willighagen@gmail.com>
Description: R based genetic algorithm for binary and floating point
        chromosomes.
URL: https://github.com/egonw/genalg
BugReports: https://github.com/egonw/genalg/issues
License: GPL-2
Packaged: 2014-01-10 10:02:29 UTC; egonw
Repository: CRAN
Date/Publication: 2014-01-10 11:20:36
NeedsCompilation: no

## genalg 0.2.0

=== DESCRIPTION ===
Package: genalg
Version: 0.2.0
Date: 2015-03-15
Title: R Based Genetic Algorithm
Author: Egon Willighagen and Michel Ballings
Maintainer: Michel Ballings <Michel.Ballings@gmail.com>
Description: R based genetic algorithm for binary and floating point
        chromosomes.
URL: https://github.com/egonw/genalg
BugReports: https://github.com/egonw/genalg/issues
License: GPL-2
Packaged: 2015-03-16 07:33:19 UTC; michelballings
Repository: CRAN
Date/Publication: 2015-03-16 08:45:54
NeedsCompilation: no

## genalg 0.2.1

=== DESCRIPTION ===
Package: genalg
Version: 0.2.1
Date: 2022-04-04
Title: R Based Genetic Algorithm
Author: Egon Willighagen and Michel Ballings
Maintainer: Michel Ballings <Michel.Ballings@gmail.com>
Description: R based genetic algorithm for binary and floating point
        chromosomes.
License: GPL-2
Packaged: 2022-04-04 13:11:05 UTC; mballin2
Repository: CRAN
Date/Publication: 2022-04-04 15:40:14 UTC
NeedsCompilation: no
